package xyz.etztech.serverapi.web.api;

import com.expediagroup.graphql.annotations.GraphQLDescription;
import com.expediagroup.graphql.annotations.GraphQLName;

@GraphQLName("Chat")
@GraphQLDescription("Chat GraphQL")
public class ChatAPI {
    private final String message;
    private final long timestamp;

    public ChatAPI(String message, long timestamp) {
        this.message = message;
        this.timestamp = timestamp;
    }

    @GraphQLName("message")
    public String getMessage() {
        return message;
    }

    @GraphQLName("timestamp")
    public long getTimestamp() {
        return timestamp;
    }
}
