package xyz.etztech.serverapi.web;

import xyz.etztech.serverapi.web.api.*;

import java.util.List;
import java.util.Set;

public interface IProvider {

    // GET
    Set<BanAPI> bans();
    Set<PlayerAPI> players();
    PingAPI ping();
    TPSAPI TPS();
    List<WorldAPI> worlds();
    WorldAPI world(String name);
    List<PluginAPI> plugins();
    List<ChatAPI> chat();

    // POST
    void kick(BanAPI kick);
    void ban(BanAPI ban);
    void unban(BanAPI ban);
    void broadcast(BroadcastAPI broadcast);
    void custom(CustomAPI custom);

    // MISC
    void log(String message);
}
